<?php

/**
 * Drag & Drop Sections
 */
add_action( 'customize_register', 'one_page_conference_drag_and_drop_sections' );
function one_page_conference_drag_and_drop_sections( $wp_customize )
{
    $wp_customize->add_section( 'one_page_conference_sort_homepage_sections', array(
        'title'    => esc_html__( 'Drag & Drop', 'one-page-conference' ),
        'priority' => 12,
    ) );
    $default = array( 'about-us' );
    if ( class_exists( 'WepPlugin' ) ) {
        array_push(
            $default,
            'testimonials',
            'sponsors',
            'speakers',
            'schedules',
            'venue'
        );
    }
    $choices = array(
        'about-us' => esc_html__( 'About Us', 'one-page-conference' ),
    );
    if ( class_exists( 'WepPlugin' ) ) {
        $choices = array(
            'about-us'     => esc_html__( 'About Us', 'one-page-conference' ),
            'testimonials' => esc_html__( 'Testimonials', 'one-page-conference' ),
            'sponsors'     => esc_html__( 'Sponsors', 'one-page-conference' ),
            'speakers'     => esc_html__( 'Speakers', 'one-page-conference' ),
            'schedules'    => esc_html__( 'Schedules', 'one-page-conference' ),
            'venue'        => esc_html__( 'Venue', 'one-page-conference' ),
        );
    }
    $wp_customize->add_setting( 'one_page_conference_sort_homepage', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'one_page_conference_sanitize_array',
        'default'           => $default,
    ) );
    $wp_customize->add_control( new One_Page_Conference_Control_Sortable( $wp_customize, 'one_page_conference_sort_homepage', array(
        'label'    => esc_html__( 'Drag and Drop Sections to rearrange.', 'one-page-conference' ),
        'section'  => 'one_page_conference_sort_homepage_sections',
        'settings' => 'one_page_conference_sort_homepage',
        'type'     => 'sortable',
        'choices'  => $choices,
    ) ) );
}
