<section class="banner-layout-<?php echo esc_attr( $class ); ?>" id="banner">
	<div class="item">
		<div class="container">
				<div class="row">
					<div class="col-lg-6">
						<div class="caption">
							<?php if( $countdown_show_hide ) : ?>
								<div id="clockdiv"></div>
							<?php endif; ?>
							
							<h1 class="title"><?php echo esc_html(get_theme_mod( 'event_title' )); ?></h1>
							
							<?php
		                        $display_start_date = get_theme_mod( 'hide_show_banner_start_date', true );
		                        $display_end_date = get_theme_mod( 'hide_show_banner_end_date', true );
		                        $display_start_time = get_theme_mod( 'hide_show_banner_start_time', true );
		                        $display_end_time = get_theme_mod( 'hide_show_banner_end_time', true );
		                        $start_time = get_theme_mod( 'start_time' );
		                        $end_time = get_theme_mod( 'end_time' );
		                        $start_date = get_theme_mod( 'start_date' );
		                        $end_date = get_theme_mod( 'end_date' );
		                    ?>
		                    
							<?php if( $display_start_date || $display_end_date || $display_start_time || $display_end_time ) : ?>
		                        <div class="date-location">

		                            <?php if( $display_start_date || $display_end_date ) : ?>
		                                <div class="date">
		                                    <?php
		                                        $date_format = get_option('date_format');
		                                        $date_format = ! empty( $date_format ) ? $date_format : 'F j, Y';
		                                    ?>

		                                    <?php if( $display_start_date && $start_date ) { ?>
		                                        <span class="fa fa-calendar" aria-hidden="true"></span> <?php echo date(''.$date_format.'', strtotime( $start_date ) ); ?>
		                                    <?php } ?>

		                                    <?php if( $display_end_date && $end_date && $end_date != $start_date ) { ?>
		                                        <?php if( $start_date && $display_start_date ) { echo "-"; } ?>
		                                        <span aria-hidden="true"></span> <?php echo date(''.$date_format.'', strtotime( $end_date ) ); ?>
		                                    <?php } ?>
		                                </div>
		                            <?php endif; ?>

		                            <?php if( $display_start_time || $display_end_time ) { ?>
		                                <div class="time">
		                                    <?php
		                                        $time_format = get_option('time_format');
		                                        $time_format = ! empty( $time_format ) ? $time_format : 'h:i A';
		                                    ?>
		                                    <span class="fa fa-clock-o" aria-hidden="true"></span>
		                                    <?php if( $display_start_time && $start_time ) { ?>
		                                        <span class="" aria-hidden="true"></span> <?php echo date(''.$time_format.'', strtotime( $start_time ) ); ?>
		                                    <?php } ?>

		                                    <?php if( $display_end_time && $end_time ) { ?>
		                                        <?php if( $start_time && $display_start_time ) { echo "-"; } ?>
		                                        <span class="" aria-hidden="true"></span> <?php echo date(''.$time_format.'', strtotime( $end_time ) ); ?>
		                                    <?php } ?>
		                                    
		                                </div>
		                            <?php } ?>
		                            
		                        </div>
		                    <?php endif; ?>                    

		                    <?php if( $venu_show_hide ) : ?>
                                <div class="location">
                                    <?php if (get_theme_mod( 'event_venue' )) { ?>
                                        <span class="fa fa-map-marker" aria-hidden="true"></span> <?php echo esc_html( get_theme_mod('event_venue') ); ?>
                                    <?php } ?>
                                </div>
							<?php endif; ?>
							
							<p><?php echo esc_html( get_theme_mod('event_description') ); ?></p>
							
							<div class="group-btn">
								<?php if(get_theme_mod( 'hide_show_cta_button_1', 'true' )){ ?>
									<a href="<?php echo esc_url(get_theme_mod('cta_1_link')); ?>" class="btn btn-primary"><?php echo esc_html(get_theme_mod('cta_1_button_label')); ?></a>
								<?php } ?>
								<?php if(get_theme_mod( 'hide_show_cta_button_2', 'true' )){ ?>
									<a href="<?php echo esc_url(get_theme_mod('cta_2_link')); ?>" class="btn btn-outline-white"><?php echo esc_html(get_theme_mod('cta_2_button_label')); ?></a>
								<?php } ?>
							</div>
						</div>
					</div>

					<div class="col-lg-6">
						<div class="img-holder">
							<?php
							$image = get_header_image();
							if ( $image ) {
								?>
								<img src="<?php echo esc_url( $image ); ?>" alt="<?php esc_attr_e( 'Header Image', 'one-page-conference' ); ?>">
							<?php } ?>
						</div>
					</div>
				</div>
		</div>
	</div>
</section>